Subject: Re: bug#9737: misc/timeout-group: spurious test failure on SLES 10.3 (coreutils 8.14)

From: Pádraig Brady <[email-masked]>
Date: Thu, 03 Nov 2011 18:13:41 +0000

On 11/03/2011 05:11 PM, Voelker, Bernhard wrote:
> Without the patches, I got:
> 
> * 153 FAILures.
> 
> With the patches, I get:
> 
> * 6x:
>   timeout-group: skipped test: timeout.cmd didn't receive a signal until after sleep?
>   SKIP: misc/timeout-group
> 
> * 62x:
>   timeout-group: skipped test: timeout returned 142. SIGALRM not handled?
>   SKIP: misc/timeout-group
> 
> Does this help?
> If you need access to that machine, it's possible but not easy.

That confirms things. Thanks for testing.
So I'm seeing the same only less frequent.
I'm attributing to system signal handling bugs for the moment.
By adding the skips, we can see if this is hitting modern systems.

cheers,
Pádraig.